# class Benchmark::IPS::Entry

- Benchmark::IPS::Entry
- Reference
- Object

##
Defined in:

##
Constructors

- .new(label : String, action : -> )

##
Instance Method Summary

- #action : ->

  Code to be benchmarked

- #action=(action : -> )

  Code to be benchmarked

- #bytes_per_op : Int32

  Number of bytes allocated per operation

- #bytes_per_op=(bytes_per_op : Int32)

  Number of bytes allocated per operation

- #bytes_per_op? : Int32?

  Number of bytes allocated per operation

- #calculate_stats(samples)
- #call
- #call_for_100ms
- #cycles : Int32

  Number of cycles needed to run for approx 100ms Calculated during the warmup stage

- #cycles=(cycles : Int32)

  Number of cycles needed to run for approx 100ms Calculated during the warmup stage

- #cycles? : Int32?

  Number of cycles needed to run for approx 100ms Calculated during the warmup stage

- #human_compare
- #human_iteration_time
- #human_mean
- #label : String

  Label of the benchmark

- #label=(label : String)

  Label of the benchmark

- #mean : Float64

  Statistical mean from calculation stage

- #mean=(mean : Float64)

  Statistical mean from calculation stage

- #mean? : Float64?

  Statistical mean from calculation stage

- #ran? : Bool
- #relative_stddev : Float64

  Relative standard deviation as a percentage

- #relative_stddev=(relative_stddev : Float64)

  Relative standard deviation as a percentage

- #relative_stddev? : Float64?

  Relative standard deviation as a percentage

- #set_cycles(duration, iterations)
- #size : Int32

  Number of 100ms runs during the calculation stage

- #size=(size : Int32)

  Number of 100ms runs during the calculation stage

- #size? : Int32?

  Number of 100ms runs during the calculation stage

- #slower : Float64

  Multiple slower than the fastest entry

- #slower=(slower : Float64)

  Multiple slower than the fastest entry

- #slower? : Float64?

  Multiple slower than the fastest entry

- #stddev : Float64

  Statistical standard deviation from calculation stage

- #stddev=(stddev : Float64)

  Statistical standard deviation from calculation stage

- #stddev? : Float64?

  Statistical standard deviation from calculation stage

- #variance : Float64

  Statistical variance from calculation stage

- #variance=(variance : Float64)

  Statistical variance from calculation stage

- #variance? : Float64?

  Statistical variance from calculation stage

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(label : String, action : -> ) #

##
Instance Method Detail

def action : -> #

Code to be benchmarked

def action=(action : -> ) #

Code to be benchmarked

def bytes_per_op : Int32 #

Number of bytes allocated per operation

def bytes_per_op=(bytes_per_op : Int32) #

Number of bytes allocated per operation

def bytes_per_op? : Int32? #

Number of bytes allocated per operation

def calculate_stats(samples) #
def call #
def call_for_100ms #
def cycles : Int32 #

Number of cycles needed to run for approx 100ms Calculated during the warmup stage

def cycles=(cycles : Int32) #

Number of cycles needed to run for approx 100ms Calculated during the warmup stage

def cycles? : Int32? #

Number of cycles needed to run for approx 100ms Calculated during the warmup stage

def human_compare #
def human_iteration_time #
def human_mean #
def label : String #

Label of the benchmark

def label=(label : String) #

Label of the benchmark

def mean : Float64 #

Statistical mean from calculation stage

def mean=(mean : Float64) #

Statistical mean from calculation stage

def mean? : Float64? #

Statistical mean from calculation stage

def ran? : Bool #
def relative_stddev : Float64 #

Relative standard deviation as a percentage

def relative_stddev=(relative_stddev : Float64) #

Relative standard deviation as a percentage

def relative_stddev? : Float64? #

Relative standard deviation as a percentage

def set_cycles(duration, iterations) #
def size : Int32 #

Number of 100ms runs during the calculation stage

def size=(size : Int32) #

Number of 100ms runs during the calculation stage

def size? : Int32? #

Number of 100ms runs during the calculation stage

def slower : Float64 #

Multiple slower than the fastest entry

def slower=(slower : Float64) #

Multiple slower than the fastest entry

def slower? : Float64? #

Multiple slower than the fastest entry

def stddev : Float64 #

Statistical standard deviation from calculation stage

def stddev=(stddev : Float64) #

Statistical standard deviation from calculation stage

def stddev? : Float64? #

Statistical standard deviation from calculation stage

def variance : Float64 #

Statistical variance from calculation stage

def variance=(variance : Float64) #

Statistical variance from calculation stage

def variance? : Float64? #

Statistical variance from calculation stage